Subject: [PATCH 0/8] ARM: at91/dt: make use of periph id macros

From: [email-masked] (Richard Genoud)
Date: Fri, 02 Aug 2013 11:28:22 +0200

On 02/08/2013 11:04, boris brezillon wrote:
> Hello Richard,
> 
> On 01/08/2013 09:37, Richard Genoud wrote:
>> 2013/8/1 Boris BREZILLON <[email-masked]>:
>>> Hello,
>>>
>>> This patch series move at91 SoCs peripheral id definitions from machine
>>> specific include dir to dt-bindings include dir.
>>> These macros are used to reference interrupts instead of peripheral
>>> numbers.
>>>
>>> This makes dt definitions cleaner and easier to debug (one can easily
>>> tell if
>>> the peripheral macro used to reference an interrupt line is not the
>>> good one).
>>>
>>> These macros will be used for clk definitions and references too.
>>>
>>> I am not sure 'include/dt-bindings/at91/xxx' is the best place to put
>>> these
>>> definitions as there are no soc specific directories in dt-bindings
>>> include
>>> dir right now. Maybe something like
>>> 'include/dt-bindings/soc/at91/xxx' or
>>> 'include/dt-bindings/peripherals/at91/xxx' would be better.
>>> What do you think ?
>> Well, I'd rather use "atmel" than "at91" because, AFAIK, this prefix
>> has been dropped for new atmel SoCs (sama5 for instance).
> 
> Should I do the same for at91 clk series (replace drivers/clk/at91
> directory
> by drivers/clk/atmel and include/linux/clk/at91_pmc.h by
> include/linux/clk/atmel_pmc.h) ?
I would say so, but like you said, that needs atmel maintainer's feedback !